For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • POSTSubmit Evaluator Judgment
      • GETList Evaluators
      • POSTUpsert Evaluator
      • GETGet Evaluator
      • DELDelete Evaluator
      • PATCHMove Evaluator
      • GETList Versions of an Evaluator
      • DELDelete Evaluator Version
      • PATCHUpdate Evaluator Version
      • POSTDeploy Evaluator
      • DELRemove Deployment
      • GETList an Evaluator's Environments
      • POSTUpdate Monitoring
LogoLogo
Sign inBook a demo
APIEvaluators

Update Evaluator Version

PATCH
https://api.humanloop.com/v5/evaluators/:id/versions/:version_id
PATCH
/v5/evaluators/:id/versions/:version_id
$curl -X PATCH https://api.humanloop.com/v5/evaluators/id/versions/version_id \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "path": "path",
3 "id": "id",
4 "spec": {
5 "arguments_type": "target_free",
6 "return_type": "boolean",
7 "attributes": {
8 "key": "value"
9 },
10 "options": [
11 {
12 "name": "name"
13 }
14 ],
15 "number_limits": {
16 "min": 1.1,
17 "max": 1.1,
18 "step": 1.1
19 },
20 "number_valence": "positive",
21 "evaluator_type": "llm",
22 "prompt": {
23 "model": "model",
24 "endpoint": "complete",
25 "template": "template",
26 "template_language": "default",
27 "provider": "anthropic",
28 "max_tokens": 1,
29 "temperature": 1.1,
30 "top_p": 1.1,
31 "stop": "stop",
32 "presence_penalty": 1.1,
33 "frequency_penalty": 1.1,
34 "other": {
35 "key": "value"
36 },
37 "seed": 1,
38 "response_format": {
39 "type": "json_object"
40 },
41 "reasoning_effort": "high",
42 "tools": [
43 {
44 "name": "name",
45 "description": "description"
46 }
47 ],
48 "linked_tools": [
49 "linked_tools"
50 ],
51 "attributes": {
52 "key": "value"
53 }
54 }
55 },
56 "name": "name",
57 "version_id": "version_id",
58 "created_at": "2024-01-15T09:30:00Z",
59 "updated_at": "2024-01-15T09:30:00Z",
60 "last_used_at": "2024-01-15T09:30:00Z",
61 "version_logs_count": 1,
62 "total_logs_count": 1,
63 "inputs": [
64 {
65 "name": "name"
66 }
67 ],
68 "directory_id": "directory_id",
69 "version_name": "version_name",
70 "version_description": "version_description",
71 "description": "description",
72 "schema": {
73 "key": "value"
74 },
75 "readme": "readme",
76 "tags": [
77 "tags"
78 ],
79 "type": "evaluator",
80 "environments": [
81 {
82 "id": "id",
83 "created_at": "2024-01-15T09:30:00Z",
84 "name": "name",
85 "tag": "default"
86 }
87 ],
88 "created_by": {
89 "id": "id",
90 "email_address": "email_address",
91 "full_name": "full_name"
92 },
93 "evaluators": [
94 {
95 "version_reference": {
96 "file": {
97 "path": "path",
98 "id": "id",
99 "model": "model",
100 "name": "name",
101 "version_id": "version_id",
102 "created_at": "2024-01-15T09:30:00Z",
103 "updated_at": "2024-01-15T09:30:00Z",
104 "last_used_at": "2024-01-15T09:30:00Z",
105 "version_logs_count": 1,
106 "total_logs_count": 1,
107 "inputs": [
108 {
109 "name": "name"
110 }
111 ]
112 },
113 "environment": {
114 "id": "id",
115 "created_at": "2024-01-15T09:30:00Z",
116 "name": "name",
117 "tag": "default"
118 },
119 "type": "environment"
120 },
121 "state": "active",
122 "created_at": "2024-01-15T09:30:00Z",
123 "updated_at": "2024-01-15T09:30:00Z"
124 }
125 ],
126 "evaluator_aggregates": [
127 {
128 "value": 1.1,
129 "evaluator_id": "evaluator_id",
130 "evaluator_version_id": "evaluator_version_id",
131 "created_at": "2024-01-15T09:30:00Z",
132 "updated_at": "2024-01-15T09:30:00Z"
133 }
134 ],
135 "attributes": {
136 "key": "value"
137 }
138}
Update the name or description of the Evaluator version.
Was this page helpful?
Previous

Deploy Evaluator

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for Evaluator.
version_idstringRequired
Unique identifier for the specific version of the Evaluator.

Request

This endpoint expects an object.
namestringOptional
Name of the version.
descriptionstringOptional
Description of the version.

Response

Successful Response
pathstring
Path of the Evaluator including the Evaluator name, which is used as a unique identifier.
idstring
Unique identifier for the Evaluator.
specobject
namestring
Name of the Evaluator, which is used as a unique identifier.
version_idstring
Unique identifier for the specific Evaluator Version. If no query params provided, the default deployed Evaluator Version is returned.
created_atdatetime
updated_atdatetime
last_used_atdatetime
version_logs_countinteger
The number of logs that have been generated for this Evaluator Version
total_logs_countinteger
The number of logs that have been generated across all Evaluator Versions
inputslist of objects
Inputs associated to the Evaluator. Inputs correspond to any of the variables used within the Evaluator template.
directory_idstring
ID of the directory that the file is in on Humanloop.
version_namestring
Unique name for the Evaluator version. Version names must be unique for a given Evaluator.
version_descriptionstring
Description of the version, e.g., the changes made in this version.
descriptionstring
Description of the Evaluator.
schemamap from strings to any
The JSON schema for the File.
readmestring
Long description of the file.
tagslist of strings
List of tags associated with the file.
type"evaluator"
environmentslist of objects
The list of environments the Evaluator Version is deployed to.
created_byany
The user who created the Evaluator.
evaluatorslist of objects
Evaluators that have been attached to this Evaluator that are used for monitoring logs.
evaluator_aggregateslist of objects
Aggregation of Evaluator results for the Evaluator Version.
attributesmap from strings to any
Additional fields to describe the Evaluator. Helpful to separate Evaluator versions from each other with details on how they were created or used.

Errors

422
Update Evaluator Version Evaluators ID Versions Version ID Patch Request Unprocessable Entity Error